Name:           dcbd
Version:        0.9.7
Release:        4%{?dist}
Summary:        Intel EEDC Connection

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://e1000.sourceforge.net
Source0:        http://downloads.sourceforge.net/e1000/%{name}-%{version}.tar.gz
Patch0:         dcbd-0.9.7-make.patch
Patch1:         dcbd-0.9.7-sysconfig.patch
Patch2:         dcbd-0.9.7-init.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: kernel >= 2.6.29
BuildRequires:  libconfig-devel kernel-headers >= 2.6.29
Requires(post):   chkconfig
Requires(preun):  chkconfig initscripts
Requires(postun): initscripts

%description
This package contains the Linux user space daemon and configuration tool for
Intel Enhanced Ethernet for the Data Center software.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header files for developing applications
that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .make
%patch1 -p1 -b .sysconfig
%patch2 -p1 -b .init


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove unneeded development files
# rm -rf $RPM_BUILD_ROOT%{_includedir}
# rm -rf $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_initddir}
mv $RPM_BUILD_ROOT/etc/init.d/dcbd $RPM_BUILD_ROOT%{_initddir}
rm -rf $RPM_BUILD_ROOT/etc/init.d


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add dcbd

%preun
if [ $1 = 0 ]; then
        /sbin/service dcbd stop > /dev/null 2>&1
        /sbin/chkconfig --del dcbd
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service dcbd condrestart > /dev/null  2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sbindir}/*
%dir %{_sysconfdir}/dcbd
%{_initddir}/dcbd
%{_mandir}/man8/*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%doc README
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Mar 20 2009 Jan Zeleny <jzeleny@redhat.com> - 0.9.7-4
- updated scriptlets in spec file to follow the rules

* Wed Mar 11 2009 Jan Zeleny <jzeleny@redhat.com> - 0.9.7-3
- added devel files again to support fcoe-utils package
- added kernel >= 2.6.29 to Requires, deleted dcbnl.h, since it is
  aviable in kernel 2.6.29-rc7
- changed config dir from /etc/sysconfig/dcbd to /etc/dcbd
- updated init script: added mandatory Short description tag,
  deleted default runlevels, which should start the script

* Tue Mar 10 2009 Jan Zeleny <jzeleny@redhat.com> - 0.9.7-2
- added patch to enable usage of libconfig shared in system
- removed devel part of package

* Mon Mar 2 2009 Chris Leech <christopher.leech@intel.com> - 0.9.7-1
- Updated to 0.9.7
- Added a private copy of dcbnl.h until kernel-headers includes it.
  Export patch is making it's way to the upstream kernel via net-2.6,
  expected in 2.6.29-rc7

* Thu Feb 26 2009 Chris Leech <christopher.leech@intel.com> - 0.9.5-1
- initial RPM packaging

